Condividi tramite


Api - Create Or Update

Crea un'API specificata nuova o aggiornata esistente dell'istanza del servizio Gestione API.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}?api-version=2025-03-01-preview

Parametri dell'URI

Nome In Necessario Tipo Descrizione
apiId
path True

string

minLength: 1
maxLength: 80
pattern: ^[^*#&+:<>?]+$

Identificatore di revisione API. Deve essere univoco nell'istanza corrente del servizio Gestione API. La revisione non corrente ha ; rev=n come suffisso dove n è il numero di revisione.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Nome del gruppo di risorse. Il nome è insensibile alle maiuscole e minuscole.

serviceName
path True

string

minLength: 1
maxLength: 50
pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$

Nome del servizio Gestione API.

subscriptionId
path True

string

minLength: 1

ID della sottoscrizione di destinazione.

api-version
query True

string

minLength: 1

Versione dell'API da usare per questa operazione.

Intestazione della richiesta

Nome Necessario Tipo Descrizione
If-Match

string

ETag dell'entità. Non è necessario per la creazione di un'entità, ma per l'aggiornamento di un'entità.

Corpo della richiesta

Nome Necessario Tipo Descrizione
properties.path True

string

minLength: 0
maxLength: 400

URL relativo che identifica in modo univoco questa API e tutti i relativi percorsi di risorse all'interno dell'istanza del servizio Gestione API. Viene aggiunto all'URL di base dell'endpoint API specificato durante la creazione dell'istanza del servizio per formare un URL pubblico per questa API.

apiRevision

string

minLength: 1
maxLength: 100

Descrive la revisione dell'API. Se non viene specificato alcun valore, viene creata la revisione predefinita 1

apiRevisionDescription

string

maxLength: 256

Descrizione della revisione DELL'API.

apiVersion

string

maxLength: 100

Indica l'identificatore della versione dell'API se l'API è con versione

apiVersionDescription

string

maxLength: 256

Descrizione della versione dell'API.

apiVersionSetId

string

Identificatore di risorsa per l'Oggetto ApiVersionSet correlato.

authenticationSettings

AuthenticationSettingsContract

Raccolta di impostazioni di autenticazione incluse in questa API.

contact

ApiContactInformation

Informazioni di contatto per l'API.

description

string

Descrizione dell'API. Può includere tag di formattazione HTML.

isCurrent

boolean

Indica se la revisione dell'API è la revisione api corrente.

license

ApiLicenseInformation

Informazioni sulla licenza per l'API.

properties.apiType

SoapApiType

Tipo di API da creare.

  • http crea un'API REST
  • soap crea un'API pass-through SOAP
  • websocket crea l'API websocket
  • graphql crea l'API GraphQL. È possibile aggiungere nuovi tipi in futuro.
properties.apiVersionSet

ApiVersionSetContractDetails

Dettagli del set di versioni

properties.displayName

string

minLength: 1
maxLength: 300

Nome API. Deve contenere da 1 a 300 caratteri.

properties.format

ContentFormat

Formato del contenuto in cui viene importata l'API. È possibile aggiungere nuovi formati in futuro

properties.protocols

Protocol[]

Descrive i protocolli in cui è possibile richiamare le operazioni in questa API.

properties.serviceUrl

string

minLength: 0
maxLength: 2000

URL assoluto del servizio back-end che implementa questa API. Non può contenere più di 2000 caratteri.

properties.sourceApiId

string

Identificatore API dell'API di origine.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Strategia di conversione dei parametri di query necessari in quelli del modello. Per impostazione predefinita, il valore 'template'. Valori possibili: 'template', 'query'

properties.value

string

Valore del contenuto durante l'importazione di un'API.

properties.wsdlSelector

ApiCreateOrUpdatePropertiesWsdlSelector

Criteri per limitare l'importazione di WSDL in un subset del documento.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protocolli su cui è disponibile l'API.

subscriptionRequired

boolean

Specifica se è necessaria una sottoscrizione api o prodotto per l'accesso all'API.

termsOfServiceUrl

string

URL delle condizioni di servizio per l'API. DEVE essere nel formato di un URL.

type

ApiType

Tipo di API.

Risposte

Nome Tipo Descrizione
200 OK

ApiContract

La richiesta è andata a buon fine.

Intestazioni

  • Azure-AsyncOperation: string
  • ETag: string
  • location: string
201 Created

ApiContract

La richiesta ha avuto esito positivo e di conseguenza è stata creata una nuova risorsa.

Intestazioni

  • Azure-AsyncOperation: string
  • ETag: string
  • location: string
Other Status Codes

ErrorResponse

Risposta di errore imprevista.

Sicurezza

azure_auth

Flusso OAuth2 di Azure Active Directory.

Tipo: oauth2
Flow: implicit
URL di autorizzazione: https://login.microsoftonline.com/common/oauth2/authorize

Ambiti

Nome Descrizione
user_impersonation rappresentare l'account utente

Esempio

ApiManagementCreateApi
ApiManagementCreateApiClone
ApiManagementCreateApiNewVersionUsingExistingApi
ApiManagementCreateApiRevisionFromExistingApi
ApiManagementCreateApiUsingImportOverrideServiceUrl
ApiManagementCreateApiUsingOai3Import
ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct
ApiManagementCreateApiUsingSwaggerImport
ApiManagementCreateApiUsingWadlImport
ApiManagementCreateApiWithMultipleAuthServers
ApiManagementCreateApiWithMultipleOpenIdConnectProviders
ApiManagementCreateApiWithOpenIdConnect
ApiManagementCreateGraphQLApi
ApiManagementCreateGrpcApi
ApiManagementCreateODataApi
ApiManagementCreateSoapPassThroughApiUsingWsdlImport
ApiManagementCreateSoapToRestApiUsingWsdlImport
ApiManagementCreateWebSocketApi

ApiManagementCreateApi

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      }
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiClone

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api2?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58a4aeac497000007d040001",
    "subscriptionRequired": true
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "apiRevision": "1",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "apiRevision": "1",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiNewVersionUsingExistingApi

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiVersion": "v4",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoPath",
    "subscriptionRequired": true
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiRevision": "1",
    "apiVersion": "v4",
    "apiVersionSet": {
      "name": "Echo API2",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "versioningScheme": "Segment"
    },
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiRevision": "1",
    "apiVersion": "v4",
    "apiVersionSet": {
      "name": "Echo API2",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "versioningScheme": "Segment"
    },
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiRevisionFromExistingApi

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api"
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "properties": {
    "path": "echo",
    "apiRevision": "3",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "displayName": "Echo API",
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "properties": {
    "path": "echo",
    "apiRevision": "3",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "displayName": "Echo API",
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiUsingImportOverrideServiceUrl

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview

{
  "properties": {
    "format": "swagger-link",
    "path": "petstoreapi123",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "value": "http://apimpimportviaurl.azurewebsites.net/api/apidocs/"
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "properties": {
    "path": "petstoreapi123",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "apiRevision": "1",
    "displayName": "Swagger Sample App",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "properties": {
    "path": "petstoreapi123",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "apiRevision": "1",
    "displayName": "Swagger Sample App",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingOai3Import

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "openapi-link",
    "path": "petstore",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "openapi-link",
    "path": "petstore",
    "translateRequiredQueryParameters": "template",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingSwaggerImport

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "swagger-link-json",
    "path": "petstore",
    "value": "http://petstore.swagger.io/v2/swagger.json"
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "http"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "http"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingWadlImport

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wadl-link-json",
    "path": "collector",
    "value": "https://developer.cisco.com/media/wae-release-6-2-api-reference/wae-collector-rest-api/application.wadl"
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "properties": {
    "path": "collector",
    "description": "",
    "apiRevision": "1",
    "displayName": "http://localhost:8080/collector-northbound",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "properties": {
    "path": "collector",
    "description": "",
    "apiRevision": "1",
    "displayName": "http://localhost:8080/collector-northbound",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiWithMultipleAuthServers

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiWithMultipleOpenIdConnectProviders

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "openidAuthenticationSettings": [
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2283"
        },
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2284"
        }
      ]
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "openidProviderId2283"
      },
      "openidAuthenticationSettings": [
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2283"
        },
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2284"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiWithOpenIdConnect

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "protocols": [
      "https"
    ],
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateGraphQLApi

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "https://api.spacex.land/graphql"
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://api.spacex.land/graphql",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://api.spacex.land/graphql",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateGrpcApi

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "grpc",
    "format": "grpc-link",
    "path": "grpc-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "value": "https://raw.githubusercontent.com/kedacore/keda/main/pkg/scalers/externalscaler/externalscaler.proto"
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "grpc",
    "path": "grpc-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "grpc",
    "path": "grpc-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateODataApi

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "odata",
    "format": "odata-link",
    "path": "odata-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "value": "https://services.odata.org/TripPinWebApiService/$metadata"
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "odata",
    "path": "odata-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "odata",
    "path": "odata-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateSoapPassThroughApiUsingWsdlImport

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wsdl-link",
    "path": "currency",
    "apiType": "soap",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "wsdlSelector": {
      "wsdlEndpointName": "CurrencyConvertorSoap",
      "wsdlServiceName": "CurrencyConvertor"
    }
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "type": "soap",
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "type": "soap",
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateSoapToRestApiUsingWsdlImport

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wsdl-link",
    "path": "currency",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "wsdlSelector": {
      "wsdlEndpointName": "CurrencyConvertorSoap",
      "wsdlServiceName": "CurrencyConvertor"
    }
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateWebSocketApi

Esempio di richiesta

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "wss",
      "ws"
    ],
    "serviceUrl": "wss://echo.websocket.org"
  }
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "ws",
      "wss"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "wss://echo.websocket.org",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "ws",
      "wss"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "wss://echo.websocket.org",
    "subscriptionKeyParameterNames": null
  }
}

Definizioni

Nome Descrizione
ApiContactInformation

Informazioni di contatto API

ApiContract

Dettagli API.

ApiCreateOrUpdateParameter

API Crea o aggiorna parametri.

ApiCreateOrUpdatePropertiesWsdlSelector

Criteri per limitare l'importazione di WSDL in un subset del documento.

ApiLicenseInformation

Informazioni sulla licenza API

ApiType

Tipo di API.

ApiVersionSetContractDetails

Un set di versioni dell'API contiene la configurazione comune per un set di versioni dell'API correlate

AuthenticationSettingsContract

Impostazioni di autenticazione API.

BearerTokenSendingMethods

Forma di una concessione di autorizzazione, usata dal client per richiedere il token di accesso.

ContentFormat

Formato del contenuto in cui viene importata l'API. È possibile aggiungere nuovi formati in futuro

createdByType

Tipo di identità che ha creato la risorsa.

ErrorAdditionalInfo

Informazioni aggiuntive sull'errore di gestione delle risorse.

ErrorDetail

Dettagli dell'errore.

ErrorResponse

Risposta di errore

OAuth2AuthenticationSettingsContract

Dettagli delle impostazioni di autenticazione OAuth2 dell'API.

OpenIdAuthenticationSettingsContract

Dettagli delle impostazioni di autenticazione OAuth2 dell'API.

Protocol
SoapApiType

Tipo di API da creare.

  • http crea un'API REST
  • soap crea un'API pass-through SOAP
  • websocket crea l'API websocket
  • graphql crea l'API GraphQL. È possibile aggiungere nuovi tipi in futuro.
SubscriptionKeyParameterNamesContract

Dettagli sui nomi dei parametri della chiave di sottoscrizione.

systemData

Metadati relativi alla creazione e all'ultima modifica della risorsa.

TranslateRequiredQueryParametersConduct

Strategia di conversione dei parametri di query necessari in quelli del modello. Per impostazione predefinita, il valore 'template'. Valori possibili: 'template', 'query'

VersioningScheme

Valore che determina dove si trova l'identificatore della versione dell'API in una richiesta HTTP.

ApiContactInformation

Informazioni di contatto API

Nome Tipo Descrizione
email

string

Indirizzo di posta elettronica della persona o dell'organizzazione di contatto. DEVE essere nel formato di un indirizzo di posta elettronica

name

string

Nome di identificazione della persona o dell'organizzazione di contatto

url

string

URL che punta alle informazioni di contatto. DEVE essere nel formato di un URL

ApiContract

Dettagli API.

Nome Tipo Descrizione
id

string

ID risorsa completo per la risorsa. Ad esempio - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Nome della risorsa

properties.apiRevision

string

minLength: 1
maxLength: 100

Descrive la revisione dell'API. Se non viene specificato alcun valore, viene creata la revisione predefinita 1

properties.apiRevisionDescription

string

maxLength: 256

Descrizione della revisione DELL'API.

properties.apiVersion

string

maxLength: 100

Indica l'identificatore della versione dell'API se l'API è con versione

properties.apiVersionDescription

string

maxLength: 256

Descrizione della versione dell'API.

properties.apiVersionSet

ApiVersionSetContractDetails

Dettagli del set di versioni

properties.apiVersionSetId

string

Identificatore di risorsa per l'Oggetto ApiVersionSet correlato.

properties.authenticationSettings

AuthenticationSettingsContract

Raccolta di impostazioni di autenticazione incluse in questa API.

properties.contact

ApiContactInformation

Informazioni di contatto per l'API.

properties.description

string

Descrizione dell'API. Può includere tag di formattazione HTML.

properties.displayName

string

minLength: 1
maxLength: 300

Nome API. Deve contenere da 1 a 300 caratteri.

properties.isCurrent

boolean

Indica se la revisione dell'API è la revisione api corrente.

properties.isOnline

boolean

Indica se la revisione dell'API è accessibile tramite il gateway.

properties.license

ApiLicenseInformation

Informazioni sulla licenza per l'API.

properties.path

string

minLength: 0
maxLength: 400

URL relativo che identifica in modo univoco questa API e tutti i relativi percorsi di risorse all'interno dell'istanza del servizio Gestione API. Viene aggiunto all'URL di base dell'endpoint API specificato durante la creazione dell'istanza del servizio per formare un URL pubblico per questa API.

properties.protocols

Protocol[]

Descrive i protocolli in cui è possibile richiamare le operazioni in questa API.

properties.provisioningState

string

Stato del provisioning

properties.serviceUrl

string

minLength: 0
maxLength: 2000

URL assoluto del servizio back-end che implementa questa API. Non può contenere più di 2000 caratteri.

properties.sourceApiId

string

Identificatore API dell'API di origine.

properties.subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protocolli su cui è disponibile l'API.

properties.subscriptionRequired

boolean

Specifica se è necessaria una sottoscrizione api o prodotto per l'accesso all'API.

properties.termsOfServiceUrl

string

URL delle condizioni di servizio per l'API. DEVE essere nel formato di un URL.

properties.type

ApiType

Tipo di API.

systemData

systemData

Metadati di Azure Resource Manager contenenti le informazioni createdBy e modifiedBy.

type

string

Tipo di risorsa. Ad esempio, "Microsoft.Compute/virtualMachines" o "Microsoft.Storage/storageAccounts"

ApiCreateOrUpdateParameter

API Crea o aggiorna parametri.

Nome Tipo Descrizione
apiRevision

string

minLength: 1
maxLength: 100

Descrive la revisione dell'API. Se non viene specificato alcun valore, viene creata la revisione predefinita 1

apiRevisionDescription

string

maxLength: 256

Descrizione della revisione DELL'API.

apiVersion

string

maxLength: 100

Indica l'identificatore della versione dell'API se l'API è con versione

apiVersionDescription

string

maxLength: 256

Descrizione della versione dell'API.

apiVersionSetId

string

Identificatore di risorsa per l'Oggetto ApiVersionSet correlato.

authenticationSettings

AuthenticationSettingsContract

Raccolta di impostazioni di autenticazione incluse in questa API.

contact

ApiContactInformation

Informazioni di contatto per l'API.

description

string

Descrizione dell'API. Può includere tag di formattazione HTML.

isCurrent

boolean

Indica se la revisione dell'API è la revisione api corrente.

isOnline

boolean

Indica se la revisione dell'API è accessibile tramite il gateway.

license

ApiLicenseInformation

Informazioni sulla licenza per l'API.

properties.apiType

SoapApiType

Tipo di API da creare.

  • http crea un'API REST
  • soap crea un'API pass-through SOAP
  • websocket crea l'API websocket
  • graphql crea l'API GraphQL. È possibile aggiungere nuovi tipi in futuro.
properties.apiVersionSet

ApiVersionSetContractDetails

Dettagli del set di versioni

properties.displayName

string

minLength: 1
maxLength: 300

Nome API. Deve contenere da 1 a 300 caratteri.

properties.format

ContentFormat

Formato del contenuto in cui viene importata l'API. È possibile aggiungere nuovi formati in futuro

properties.path

string

minLength: 0
maxLength: 400

URL relativo che identifica in modo univoco questa API e tutti i relativi percorsi di risorse all'interno dell'istanza del servizio Gestione API. Viene aggiunto all'URL di base dell'endpoint API specificato durante la creazione dell'istanza del servizio per formare un URL pubblico per questa API.

properties.protocols

Protocol[]

Descrive i protocolli in cui è possibile richiamare le operazioni in questa API.

properties.provisioningState

string

Stato del provisioning

properties.serviceUrl

string

minLength: 0
maxLength: 2000

URL assoluto del servizio back-end che implementa questa API. Non può contenere più di 2000 caratteri.

properties.sourceApiId

string

Identificatore API dell'API di origine.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Strategia di conversione dei parametri di query necessari in quelli del modello. Per impostazione predefinita, il valore 'template'. Valori possibili: 'template', 'query'

properties.value

string

Valore del contenuto durante l'importazione di un'API.

properties.wsdlSelector

ApiCreateOrUpdatePropertiesWsdlSelector

Criteri per limitare l'importazione di WSDL in un subset del documento.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protocolli su cui è disponibile l'API.

subscriptionRequired

boolean

Specifica se è necessaria una sottoscrizione api o prodotto per l'accesso all'API.

termsOfServiceUrl

string

URL delle condizioni di servizio per l'API. DEVE essere nel formato di un URL.

type

ApiType

Tipo di API.

ApiCreateOrUpdatePropertiesWsdlSelector

Criteri per limitare l'importazione di WSDL in un subset del documento.

Nome Tipo Descrizione
wsdlEndpointName

string

Nome dell'endpoint(porta) da importare da WSDL

wsdlServiceName

string

Nome del servizio da importare da WSDL

ApiLicenseInformation

Informazioni sulla licenza API

Nome Tipo Descrizione
name

string

Nome della licenza usato per l'API

url

string

URL della licenza usata per l'API. DEVE essere nel formato di un URL

ApiType

Tipo di API.

Valore Descrizione
http
soap
websocket
graphql
odata
grpc

ApiVersionSetContractDetails

Un set di versioni dell'API contiene la configurazione comune per un set di versioni dell'API correlate

Nome Tipo Descrizione
description

string

Descrizione del set di versioni dell'API.

id

string

Identificatore per il set di versioni dell'API esistente. Omettere questo valore per creare un nuovo set di versioni.

name

string

Nome visualizzato del set di versioni dell'API.

versionHeaderName

string

Nome del parametro di intestazione HTTP che indica la versione dell'API se versioningScheme è impostato su header.

versionQueryName

string

Nome del parametro di query che indica la versione dell'API se versioningScheme è impostato su query.

versioningScheme

VersioningScheme

Valore che determina dove si trova l'identificatore della versione dell'API in una richiesta HTTP.

AuthenticationSettingsContract

Impostazioni di autenticazione API.

Nome Tipo Descrizione
oAuth2

OAuth2AuthenticationSettingsContract

Impostazioni di autenticazione OAuth2

oAuth2AuthenticationSettings

OAuth2AuthenticationSettingsContract[]

Raccolta di impostazioni di autenticazione OAuth2 incluse in questa API.

openid

OpenIdAuthenticationSettingsContract

Impostazioni di autenticazione OpenID Connect

openidAuthenticationSettings

OpenIdAuthenticationSettingsContract[]

Raccolta di impostazioni di autenticazione Open ID Connect incluse in questa API.

BearerTokenSendingMethods

Forma di una concessione di autorizzazione, usata dal client per richiedere il token di accesso.

Valore Descrizione
authorizationHeader

Il token di accesso verrà trasmesso nell'intestazione Authorization utilizzando lo schema Bearer

query

Il token di accesso verrà trasmesso come parametri di query.

ContentFormat

Formato del contenuto in cui viene importata l'API. È possibile aggiungere nuovi formati in futuro

Valore Descrizione
wadl-xml

Il contenuto è in linea e il tipo di contenuto è un documento WADL.

wadl-link-json

Il documento WADL è ospitato su un indirizzo Internet accessibile pubblicamente.

swagger-json

Il contenuto è in linea e il tipo di contenuto è un documento JSON OpenAPI 2.0.

swagger-link-json

Il documento JSON OpenAPI 2.0 è ospitato su un indirizzo Internet accessibile pubblicamente.

wsdl

Il contenuto è in linea e il documento è un documento WSDL/Soap.

wsdl-link

Il documento WSDL è ospitato su un indirizzo Internet accessibile pubblicamente.

openapi

Il contenuto è in linea e il tipo di contenuto è un documento YAML OpenAPI 3.0.

openapi+json

Il contenuto è in linea e il tipo di contenuto è un documento JSON OpenAPI 3.0.

openapi-link

Il documento YAML di OpenAPI 3.0 è ospitato su un indirizzo Internet accessibile pubblicamente.

openapi+json-link

Il documento JSON OpenAPI 3.0 è ospitato su un indirizzo Internet accessibile pubblicamente.

graphql-link

L'endpoint dell'API GraphQL ospitato su un indirizzo Internet accessibile pubblicamente.

odata

Il contenuto è inline e il tipo di contenuto è un documento XML OData.

odata-link

Il documento di metadati OData ospitato in un indirizzo Internet accessibile pubblicamente.

grpc

Il contenuto è inline e il tipo di contenuto è un file protobuf gRPC.

grpc-link

Il file protobuf gRPC è ospitato in un indirizzo Internet accessibile pubblicamente.

createdByType

Tipo di identità che ha creato la risorsa.

Valore Descrizione
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Informazioni aggiuntive sull'errore di gestione delle risorse.

Nome Tipo Descrizione
info

object

Informazioni aggiuntive.

type

string

Tipo di informazioni aggiuntive.

ErrorDetail

Dettagli dell'errore.

Nome Tipo Descrizione
additionalInfo

ErrorAdditionalInfo[]

Informazioni aggiuntive sull'errore.

code

string

Codice di errore.

details

ErrorDetail[]

Dettagli dell'errore.

message

string

Messaggio di errore.

target

string

Destinazione dell'errore.

ErrorResponse

Risposta di errore

Nome Tipo Descrizione
error

ErrorDetail

Oggetto error.

OAuth2AuthenticationSettingsContract

Dettagli delle impostazioni di autenticazione OAuth2 dell'API.

Nome Tipo Descrizione
authorizationServerId

string

Identificatore del server di autorizzazione OAuth.

scope

string

ambito delle operazioni.

OpenIdAuthenticationSettingsContract

Dettagli delle impostazioni di autenticazione OAuth2 dell'API.

Nome Tipo Descrizione
bearerTokenSendingMethods

BearerTokenSendingMethods[]

Come inviare il token al server.

openidProviderId

string

Identificatore del server di autorizzazione OAuth.

Protocol

Valore Descrizione
http
https
ws
wss

SoapApiType

Tipo di API da creare.

  • http crea un'API REST
  • soap crea un'API pass-through SOAP
  • websocket crea l'API websocket
  • graphql crea l'API GraphQL. È possibile aggiungere nuovi tipi in futuro.
Valore Descrizione
http

Importa un'API SOAP con un front-end RESTful.

soap

Importa l'API SOAP con un front-end SOAP.

websocket

Importa l'API con un front-end Websocket.

graphql

Importa l'API con un front-end GraphQL.

odata

Importa l'API con un front-end OData.

grpc

Importa l'API con un front-end gRPC.

SubscriptionKeyParameterNamesContract

Dettagli sui nomi dei parametri della chiave di sottoscrizione.

Nome Tipo Descrizione
header

string

Nome dell'intestazione della chiave di sottoscrizione.

query

string

Nome del parametro della stringa di query della chiave di sottoscrizione.

systemData

Metadati relativi alla creazione e all'ultima modifica della risorsa.

Nome Tipo Descrizione
createdAt

string (date-time)

Timestamp della creazione della risorsa (UTC).

createdBy

string

Identità che ha creato la risorsa.

createdByType

createdByType

Tipo di identità che ha creato la risorsa.

lastModifiedAt

string (date-time)

Timestamp dell'ultima modifica della risorsa (UTC)

lastModifiedBy

string

Identità che ha modificato l'ultima volta la risorsa.

lastModifiedByType

createdByType

Tipo di identità che ha modificato l'ultima volta la risorsa.

TranslateRequiredQueryParametersConduct

Strategia di conversione dei parametri di query necessari in quelli del modello. Per impostazione predefinita, il valore 'template'. Valori possibili: 'template', 'query'

Valore Descrizione
template

Converte i parametri di query necessari in parametri di modello. È un valore predefinito

query

Lascia invariati i parametri di query obbligatori (nessuna conversione eseguita).

VersioningScheme

Valore che determina dove si trova l'identificatore della versione dell'API in una richiesta HTTP.

Valore Descrizione
Segment

La versione dell'API viene passata in un segmento di percorso.

Query

La versione dell'API viene passata in un parametro di query.

Header

La versione dell'API viene passata in un'intestazione HTTP.